org.apache.torque.templates

## Enum TorqueSchemaIdMethod

- java.lang.Object
- - java.lang.Enum<TorqueSchemaIdMethod>
  - - org.apache.torque.templates.TorqueSchemaIdMethod

- All Implemented Interfaces:
    Serializable, Comparable<TorqueSchemaIdMethod>

      public enum TorqueSchemaIdMethod
      extends Enum<TorqueSchemaIdMethod>

  Holds all IdMethods known in the Torque schema

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IDBROKER` Primary keys are generated via the IdBroker.
    `NATIVE` Primary keys are generated via the native method of the database (i.e.
    `NONE` Primary keys are not generated automatically.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of the idMethod.
    `String` | `toString()`
    `static TorqueSchemaIdMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TorqueSchemaIdMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDBROKER

          public static final TorqueSchemaIdMethod IDBROKER

      Primary keys are generated via the IdBroker.

    - #### NATIVE

          public static final TorqueSchemaIdMethod NATIVE

      Primary keys are generated via the native method of the database (i.e. sequences or autoincrement).

    - #### NONE

          public static final TorqueSchemaIdMethod NONE

      Primary keys are not generated automatically.

  - ### Method Detail

    - #### values

          public static TorqueSchemaIdMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TorqueSchemaIdMethod c : TorqueSchemaIdMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TorqueSchemaIdMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the name of the idMethod.
      Returns:
        the name of the idMethod, not null.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<TorqueSchemaIdMethod>`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.